Redmine - Feature #1422

Date selection for Activity Page
2008-06-10 22:30 - Mateo Murphy

Status: Closed Start date: 2008-06-10
Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Activity view Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed

Description

| occasionally find myself needing to check out the activity for a certain date, and the Ul for the activity page doesn't provide an easy
way to do that. | think it would be useful to have some dropdowns to be able to jump to a certain date or date range.

Any thoughts on this?

Related issues:
Has duplicate Redmine - Feature #3474: Make date range in module Activity sel... Closed 2009-06-10

Associated revisions

Revision 19828 - 2020-06-18 04:49 - Go MAEDA
Date selection for Activity page (#1422).

Patch by Mizuki ISHIKAWA.

Revision 19829 - 2020-06-18 04:52 - Go MAEDA
Update locales (#1422).

History

#1 - 2008-08-16 01:43 - Mischa The Evil

+1, It would be quite handy to have from- / to-selectors for a custom timespan.

#2 - 2009-06-10 21:55 - Nanda P

+1

#3 - 2009-06-10 21:59 - Jens Goldhammer

+1

#4 - 2011-06-02 00:52 - Anonymous

+1

#5 - 2011-06-03 07:26 - Terence Mill

+1

#6 - 2011-12-20 23:51 - Eduardo Turifio

+1

#7 - 2012-04-06 19:43 - Preethi Sriram
- File activitydaterange.patch added

Attached is a patch for date range filter for activity feed. It defaults to initial setting and has apply link to set a date range to filter the feed.
#8 - 2013-12-17 12:08 - Daniel Kiippers

If we add there a possibility to also filter by user, the activity page would be much more efficient. By now, i have setup a linkpage for me with the date
and the user id's but thats not the way it should be.
#9 - 2013-12-17 20:33 - Dipan Mehta

+1. Very useful.

#10 - 2014-10-13 09:45 - Frei-Cedric Hackbarth - macio GmbH
- File activitydaterange-for-2.5.2.patch added

| used the patch “activitydaterange.patch” of Preethi Sriram, but the patch wasn’t compatible anymore. So | implemented the feature for the actual
redmine version 2.5.2.

My Patch adds a datepicker for “from” and “to” in the activity tab. So it is possible to set the timespan of interest.

Is it possible to commit the feature to the trunk?

#11 - 2014-11-13 10:07 - Frei-Cedric Hackbarth - macio GmbH

- File activitydaterange-for-2.6.0.patch added

| updated my patch to redmine version 2.6.0. Is it possible to commit the feature to the trunk?

#12 - 2014-11-15 09:16 - Jean-Philippe Lang

Being able to request a free date range for the activity is not really acceptable (requesting a few years of activity here would lead to a timeout or a
really huge page).

The initial request was more about changing the Ul to be able to select the date. That would be fine.

#13 - 2014-12-01 09:45 - Frei-Cedric Hackbarth - macio GmbH

okay, thank you for your feedback.
#14 - 2015-09-10 18:00 - Fran Fabrizio
Jean-Philippe Lang wrote:
Being able to request a free date range for the activity is not really acceptable (requesting a few years of activity here would lead to a timeout or

a really huge page).

This could be addressed by limiting the total number of records allowed to be returned, but | hope that the entire concept of having a date range
selection for the activity feed isn't what you find unacceptable. It would be a useful feature and for lots of projects, years' worth of activity would not
be a problem performance- or size-wise, so it seems too limiting to reject the idea on the basis that some projects would have trouble with a query
spanning years.

After all, the issue query view allows me to query for all tickets for the past 10 years (which in our case returned several thousand tickets in a few
seconds on a fairly underpowered VM that runs our instance), so the principle of multi-year queries is already in place elsewhere in Redmine.

The initial request was more about changing the Ul to be able to select the date. That would be fine.

At the risk of being overly pedantic, the initial request did mention date ranges too.
Hopefully we can reconsider this feature and come up with a version that meets everyone concerns, because it seems too useful to dismiss entirely.

Thanks,
Fran

#15 - 2017-01-05 08:31 - Marco Descher

+1

#16 - 2017-03-10 16:08 - Anonymous

+1

Date ranges like "last week", "last month" etc. would be very useful.

#17 - 2017-10-05 14:33 - Thomas Thorne

A date range on the URL would be useful. Seeing the from=<start date> parameter on the URL | tried to enter a to=<end_date> without success.

| can see there are concerns about people setting date ranges that are difficult to handle. | do not know how many records the specific user activity

pages would return right now. If that was going to be too many could pagination be added to the user filtered activity view, as is done for the
unfiltered view? Then if people wanted a larger number of records on a single page they could set some items_per_page value to a high number that
would take a looooong time to server.

#18 - 2018-06-14 02:17 - Tom Lithgow

Hello all, We have the need to customize the results in the activity too. By date/date range is very important, but also would it make sense to allow
custom queries here too?

Specifically we would like to be able to see Date range + Project, and/or Date range + User.

Is the above possible in any way?

#19 - 2018-09-19 02:26 - Go MAEDA

- Category changed from Ul to Activity view

#20 - 2019-02-14 17:51 - Yuuki NARA

+1

It is inconvenient that you can not easily find what you previously commented on.
You need to press the following Next and Previous link several hundred times.

http://www.redmine.org/activity ?from=%year-month-date%&user_id=%user_id%

#21 - 2019-12-19 04:09 - Go MAEDA

- File selectable-from-date@2x.png added

| think adding an ability to set only "From" date would be an improvement.
e Users will be able to set any from-date without tweaking the URL

e |t does not cause a problem JPL pointed out in #1422#note-12 (requesting a free date range will cause a timeout)
¢ Since ActivitiesController already accepts params[:from], the change is small and easy to implement
#22 - 2020-03-17 09:00 - Mizuki ISHIKAWA

- File feature-1422.patch added

- File ScreenShot-feature-1422-patch.png added

| have attached the patch.

This patch adds a date field to the sidebar.

If you enter the date as 2020/03/17 and press the [Apply] button, the activities for 30 days until 2020/03/17 will be displayed.
30 days is the value set in Setting(Setting.activity_days_default).

ScreenShot-feature-1422-patch.png
http://www.redmine.org/activity?from=%year-month-date%&user_id=%user_id
https://www.redmine.org/issues/1422#note-12

#23 - 2020-03-17 09:14 - Mizuki ISHIKAWA
Go MAEDA wrote:

| think adding an ability to set only "From" date would be an improvement.

The following processing is executed in the index action of activities_controller.
https://www.redmine.org/projects/redmine/repository/revisions/19580/entry/trunk/app/controllers/activities_controller.ro#L.29

if params|[:from]
begin; @date_to = params[:from].to_date + 1; rescue; end
end

@date_to ||= User.current.today + 1
@date_from = @date_to - @days

The parameter name is from(params[:from]), but it is actually used to create @date_to.
Therefore, changed "30 days from {date}" to "30 days to {date}"

#24 - 2020-06-16 14:47 - Go MAEDA
- File Screenshot_2020-06-16.png added

- Target version set to 4.2.0
Mizuki ISHIKAWA wrote:
| have attached the patch.
This patch adds a date field to the sidebar.
If you enter the date as 2020/03/17 and press the [Apply] button, the activities for 30 days until 2020/03/17 will be displayed.
30 days is the value set in Setting(Setting.activity _days_default).
Thank you, looks really nice. Setting the target version to 4.2.0.
Just for your information, Trac has a similar interface with your patch.
Screenshot_2020-06-16.png
#25 - 2020-06-18 04:52 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch attached in #1422#note-22 with slight modifications. Thank you for your contribution.

Files

activitydaterange.patch 3.09 KB 2012-04-06 Preethi Sriram
activitydaterange-for-2.5.2.patch 4.84 KB 2014-10-13 Frei-Cedric Hackbarth - macio GmbH
activitydaterange-for-2.6.0.patch 4.84 KB 2014-11-13 Frei-Cedric Hackbarth - macio GmbH
selectable-from-date@2x.png 50 KB 2019-12-19 Go MAEDA
feature-1422.patch 1.42 KB 2020-03-17 Mizuki ISHIKAWA
ScreenShot-feature-1422-patch.png 194 KB 2020-03-17 Mizuki ISHIKAWA
Screenshot_2020-06-16.png 232 KB 2020-06-16 Go MAEDA
